| GitHub Repository | Product Reference |
Service Description: An API that lets users analyze and explore their business conversation data.
This class provides the ability to make remote calls to the backing service through method calls that map to API methods. Sample code to get started:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
LocationName parent = LocationName.of("[PROJECT]", "[LOCATION]");
Conversation conversation = Conversation.newBuilder().build();
String conversationId = "conversationId-1676095234";
Conversation response =
contactCenterInsightsClient.createConversation(parent, conversation, conversationId);
}
Note: close() needs to be called on the ContactCenterInsightsClient object to clean up resources such as threads. In the example above, try-with-resources is used, which automatically calls close().
| Method | Description | Method Variants |
|---|---|---|
CreateConversation |
Creates a conversation. Note that this method does not support audio transcription or redaction. Use |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UploadConversation |
Create a long-running conversation upload operation. This method differs from |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UpdateConversation |
Updates a conversation. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetConversation |
Gets a conversation. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListConversations |
Lists conversations. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeleteConversation |
Deletes a conversation. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CreateAnalysis |
Creates an analysis. The long running operation is done when the analysis has completed. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetAnalysis |
Gets an analysis. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListAnalyses |
Lists analyses. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeleteAnalysis |
Deletes an analysis. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
BulkAnalyzeConversations |
Analyzes multiple conversations in a single request. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
BulkDeleteConversations |
Deletes multiple conversations in a single request. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
IngestConversations |
Imports conversations and processes them according to the user's configuration. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ExportInsightsData |
Export insights data to a destination defined in the request body. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CreateIssueModel |
Creates an issue model. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UpdateIssueModel |
Updates an issue model. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetIssueModel |
Gets an issue model. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListIssueModels |
Lists issue models. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeleteIssueModel |
Deletes an issue model. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeployIssueModel |
Deploys an issue model. Returns an error if a model is already deployed. An issue model can only be used in analysis after it has been deployed. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UndeployIssueModel |
Undeploys an issue model. An issue model can not be used in analysis after it has been undeployed. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ExportIssueModel |
Exports an issue model to the provided destination. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ImportIssueModel |
Imports an issue model from a Cloud Storage bucket. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetIssue |
Gets an issue. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListIssues |
Lists issues. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UpdateIssue |
Updates an issue. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeleteIssue |
Deletes an issue. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CalculateIssueModelStats |
Gets an issue model's statistics. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CreatePhraseMatcher |
Creates a phrase matcher. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetPhraseMatcher |
Gets a phrase matcher. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListPhraseMatchers |
Lists phrase matchers. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeletePhraseMatcher |
Deletes a phrase matcher. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UpdatePhraseMatcher |
Updates a phrase matcher. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CalculateStats |
Gets conversation statistics. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetSettings |
Gets project-level settings. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UpdateSettings |
Updates project-level settings. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CreateAnalysisRule |
Creates a analysis rule. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetAnalysisRule |
Get a analysis rule. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListAnalysisRules |
Lists analysis rules. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UpdateAnalysisRule |
Updates a analysis rule. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeleteAnalysisRule |
Deletes a analysis rule. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetEncryptionSpec |
Gets location-level encryption key specification. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
InitializeEncryptionSpec |
Initializes a location-level encryption key specification. An error will result if the location has resources already created before the initialization. After the encryption specification is initialized at a location, it is immutable and all newly created resources under the location will be encrypted with the existing specification. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CreateView |
Creates a view. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetView |
Gets a view. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListViews |
Lists views. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UpdateView |
Updates a view. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeleteView |
Deletes a view. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
QueryMetrics |
Query metrics. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CreateQaQuestion |
Create a QaQuestion. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetQaQuestion |
Gets a QaQuestion. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UpdateQaQuestion |
Updates a QaQuestion. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeleteQaQuestion |
Deletes a QaQuestion. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListQaQuestions |
Lists QaQuestions. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CreateQaScorecard |
Create a QaScorecard. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetQaScorecard |
Gets a QaScorecard. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UpdateQaScorecard |
Updates a QaScorecard. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeleteQaScorecard |
Deletes a QaScorecard. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListQaScorecards |
Lists QaScorecards. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CreateQaScorecardRevision |
Creates a QaScorecardRevision. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetQaScorecardRevision |
Gets a QaScorecardRevision. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
TuneQaScorecardRevision |
Fine tune one or more QaModels. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeployQaScorecardRevision |
Deploy a QaScorecardRevision. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UndeployQaScorecardRevision |
Undeploy a QaScorecardRevision. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeleteQaScorecardRevision |
Deletes a QaScorecardRevision. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListQaScorecardRevisions |
Lists all revisions under the parent QaScorecard. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
CreateFeedbackLabel |
Create feedback label. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListFeedbackLabels |
List feedback labels. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetFeedbackLabel |
Get feedback label. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
UpdateFeedbackLabel |
Update feedback label. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
DeleteFeedbackLabel |
Delete feedback label. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListAllFeedbackLabels |
List all feedback labels by project number. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
"Flattened" method variants have converted the fields of the request object into function parameters to enable multiple ways to call the same method.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
BulkUploadFeedbackLabels |
Upload feedback labels in bulk. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
BulkDownloadFeedbackLabels |
Download feedback labels in bulk. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Methods that return long-running operations have "Async" method variants that return
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
See the individual methods for example code.
Many parameters require resource names to be formatted in a particular way. To assist with these names, this class includes a format method for each type of name, and additionally a parse method to extract the individual identifiers contained within names that are returned.
This class can be customized by passing in a custom instance of ContactCenterInsightsSettings to create(). For example:
To customize credentials:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
ContactCenterInsightsSettings contactCenterInsightsSettings =
ContactCenterInsightsSettings.newBuilder()
.setCredentialsProvider(FixedCredentialsProvider.create(myCredentials))
.build();
ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create(contactCenterInsightsSettings);
To customize the endpoint:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
ContactCenterInsightsSettings contactCenterInsightsSettings =
ContactCenterInsightsSettings.newBuilder().setEndpoint(myEndpoint).build();
ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create(contactCenterInsightsSettings);
To use REST (HTTP1.1/JSON) transport (instead of gRPC) for sending and receiving requests over the wire:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
ContactCenterInsightsSettings contactCenterInsightsSettings =
ContactCenterInsightsSettings.newHttpJsonBuilder().build();
ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create(contactCenterInsightsSettings);
Please refer to the GitHub repository's samples for more quickstart code snippets.
Static Methods
create()
public static final ContactCenterInsightsClient create()Constructs an instance of ContactCenterInsightsClient with default settings.
| Returns | |
|---|---|
| Type | Description |
ContactCenterInsightsClient |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
create(ContactCenterInsightsSettings settings)
public static final ContactCenterInsightsClient create(ContactCenterInsightsSettings settings)Constructs an instance of ContactCenterInsightsClient, using the given settings. The channels are created based on the settings passed in, or defaults for any settings that are not set.
| Parameter | |
|---|---|
| Name | Description |
settings |
ContactCenterInsightsSettings |
| Returns | |
|---|---|
| Type | Description |
ContactCenterInsightsClient |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
create(ContactCenterInsightsStub stub)
public static final ContactCenterInsightsClient create(ContactCenterInsightsStub stub)Constructs an instance of ContactCenterInsightsClient, using the given stub for making calls. This is for advanced usage - prefer using create(ContactCenterInsightsSettings).
| Parameter | |
|---|---|
| Name | Description |
stub |
ContactCenterInsightsStub |
| Returns | |
|---|---|
| Type | Description |
ContactCenterInsightsClient |
|
Constructors
ContactCenterInsightsClient(ContactCenterInsightsSettings settings)
protected ContactCenterInsightsClient(ContactCenterInsightsSettings settings)Constructs an instance of ContactCenterInsightsClient, using the given settings. This is protected so that it is easy to make a subclass, but otherwise, the static factory methods should be preferred.
| Parameter | |
|---|---|
| Name | Description |
settings |
ContactCenterInsightsSettings |
ContactCenterInsightsClient(ContactCenterInsightsStub stub)
protected ContactCenterInsightsClient(ContactCenterInsightsStub stub)| Parameter | |
|---|---|
| Name | Description |
stub |
ContactCenterInsightsStub |
Methods
awaitTermination(long duration, TimeUnit unit)
public boolean awaitTermination(long duration, TimeUnit unit)| Parameters | |
|---|---|
| Name | Description |
duration |
long |
unit |
TimeUnit |
| Returns | |
|---|---|
| Type | Description |
boolean |
|
| Exceptions | |
|---|---|
| Type | Description |
InterruptedException |
|
bulkAnalyzeConversationsAsync(@Nullable LocationName parent, String filter, float analysisPercentage)
public final OperationFuture<BulkAnalyzeConversationsResponse,BulkAnalyzeConversationsMetadata> bulkAnalyzeConversationsAsync(@Nullable LocationName parent, String filter, float analysisPercentage)Analyzes multiple conversations in a single request.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
LocationName parent = LocationName.of("[PROJECT]", "[LOCATION]");
String filter = "filter-1274492040";
float analysisPercentage = 1609757661;
BulkAnalyzeConversationsResponse response =
contactCenterInsightsClient
.bulkAnalyzeConversationsAsync(parent, filter, analysisPercentage)
.get();
}
| Parameters | |
|---|---|
| Name | Description |
parent |
@org.jspecify.annotations.Nullable com.google.cloud.contactcenterinsights.v1.LocationNameRequired. The parent resource to create analyses in. |
filter |
StringRequired. Filter used to select the subset of conversations to analyze. |
analysisPercentage |
floatRequired. Percentage of selected conversation to analyze, between [0, 100]. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkAnalyzeConversationsResponse,BulkAnalyzeConversationsMetadata> |
|
bulkAnalyzeConversationsAsync(BulkAnalyzeConversationsRequest request)
public final OperationFuture<BulkAnalyzeConversationsResponse,BulkAnalyzeConversationsMetadata> bulkAnalyzeConversationsAsync(BulkAnalyzeConversationsRequest request)Analyzes multiple conversations in a single request.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkAnalyzeConversationsRequest request =
BulkAnalyzeConversationsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.setAnalysisPercentage(1609757661)
.setAnnotatorSelector(AnnotatorSelector.newBuilder().build())
.build();
BulkAnalyzeConversationsResponse response =
contactCenterInsightsClient.bulkAnalyzeConversationsAsync(request).get();
}
| Parameter | |
|---|---|
| Name | Description |
request |
BulkAnalyzeConversationsRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkAnalyzeConversationsResponse,BulkAnalyzeConversationsMetadata> |
|
bulkAnalyzeConversationsAsync(String parent, String filter, float analysisPercentage)
public final OperationFuture<BulkAnalyzeConversationsResponse,BulkAnalyzeConversationsMetadata> bulkAnalyzeConversationsAsync(String parent, String filter, float analysisPercentage)Analyzes multiple conversations in a single request.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
String parent = LocationName.of("[PROJECT]", "[LOCATION]").toString();
String filter = "filter-1274492040";
float analysisPercentage = 1609757661;
BulkAnalyzeConversationsResponse response =
contactCenterInsightsClient
.bulkAnalyzeConversationsAsync(parent, filter, analysisPercentage)
.get();
}
| Parameters | |
|---|---|
| Name | Description |
parent |
StringRequired. The parent resource to create analyses in. |
filter |
StringRequired. Filter used to select the subset of conversations to analyze. |
analysisPercentage |
floatRequired. Percentage of selected conversation to analyze, between [0, 100]. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkAnalyzeConversationsResponse,BulkAnalyzeConversationsMetadata> |
|
bulkAnalyzeConversationsCallable()
public final UnaryCallable<BulkAnalyzeConversationsRequest,Operation> bulkAnalyzeConversationsCallable()Analyzes multiple conversations in a single request.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkAnalyzeConversationsRequest request =
BulkAnalyzeConversationsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.setAnalysisPercentage(1609757661)
.setAnnotatorSelector(AnnotatorSelector.newBuilder().build())
.build();
ApiFuture<Operation> future =
contactCenterInsightsClient.bulkAnalyzeConversationsCallable().futureCall(request);
// Do something.
Operation response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<BulkAnalyzeConversationsRequest,Operation> |
|
bulkAnalyzeConversationsOperationCallable()
public final OperationCallable<BulkAnalyzeConversationsRequest,BulkAnalyzeConversationsResponse,BulkAnalyzeConversationsMetadata> bulkAnalyzeConversationsOperationCallable()Analyzes multiple conversations in a single request.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkAnalyzeConversationsRequest request =
BulkAnalyzeConversationsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.setAnalysisPercentage(1609757661)
.setAnnotatorSelector(AnnotatorSelector.newBuilder().build())
.build();
OperationFuture<BulkAnalyzeConversationsResponse, BulkAnalyzeConversationsMetadata> future =
contactCenterInsightsClient
.bulkAnalyzeConversationsOperationCallable()
.futureCall(request);
// Do something.
BulkAnalyzeConversationsResponse response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
OperationCallable<BulkAnalyzeConversationsRequest,BulkAnalyzeConversationsResponse,BulkAnalyzeConversationsMetadata> |
|
bulkDeleteConversationsAsync(@Nullable LocationName parent, String filter)
public final OperationFuture<BulkDeleteConversationsResponse,BulkDeleteConversationsMetadata> bulkDeleteConversationsAsync(@Nullable LocationName parent, String filter)Deletes multiple conversations in a single request.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
LocationName parent = LocationName.of("[PROJECT]", "[LOCATION]");
String filter = "filter-1274492040";
BulkDeleteConversationsResponse response =
contactCenterInsightsClient.bulkDeleteConversationsAsync(parent, filter).get();
}
| Parameters | |
|---|---|
| Name | Description |
parent |
@org.jspecify.annotations.Nullable com.google.cloud.contactcenterinsights.v1.LocationNameRequired. The parent resource to delete conversations from. Format: projects/{project}/locations/{location} |
filter |
StringFilter used to select the subset of conversations to delete. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkDeleteConversationsResponse,BulkDeleteConversationsMetadata> |
|
bulkDeleteConversationsAsync(BulkDeleteConversationsRequest request)
public final OperationFuture<BulkDeleteConversationsResponse,BulkDeleteConversationsMetadata> bulkDeleteConversationsAsync(BulkDeleteConversationsRequest request)Deletes multiple conversations in a single request.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkDeleteConversationsRequest request =
BulkDeleteConversationsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.setMaxDeleteCount(1611707510)
.setForce(true)
.build();
BulkDeleteConversationsResponse response =
contactCenterInsightsClient.bulkDeleteConversationsAsync(request).get();
}
| Parameter | |
|---|---|
| Name | Description |
request |
BulkDeleteConversationsRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkDeleteConversationsResponse,BulkDeleteConversationsMetadata> |
|
bulkDeleteConversationsAsync(String parent, String filter)
public final OperationFuture<BulkDeleteConversationsResponse,BulkDeleteConversationsMetadata> bulkDeleteConversationsAsync(String parent, String filter)Deletes multiple conversations in a single request.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
String parent = LocationName.of("[PROJECT]", "[LOCATION]").toString();
String filter = "filter-1274492040";
BulkDeleteConversationsResponse response =
contactCenterInsightsClient.bulkDeleteConversationsAsync(parent, filter).get();
}
| Parameters | |
|---|---|
| Name | Description |
parent |
StringRequired. The parent resource to delete conversations from. Format: projects/{project}/locations/{location} |
filter |
StringFilter used to select the subset of conversations to delete. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkDeleteConversationsResponse,BulkDeleteConversationsMetadata> |
|
bulkDeleteConversationsCallable()
public final UnaryCallable<BulkDeleteConversationsRequest,Operation> bulkDeleteConversationsCallable()Deletes multiple conversations in a single request.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkDeleteConversationsRequest request =
BulkDeleteConversationsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.setMaxDeleteCount(1611707510)
.setForce(true)
.build();
ApiFuture<Operation> future =
contactCenterInsightsClient.bulkDeleteConversationsCallable().futureCall(request);
// Do something.
Operation response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<BulkDeleteConversationsRequest,Operation> |
|
bulkDeleteConversationsOperationCallable()
public final OperationCallable<BulkDeleteConversationsRequest,BulkDeleteConversationsResponse,BulkDeleteConversationsMetadata> bulkDeleteConversationsOperationCallable()Deletes multiple conversations in a single request.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkDeleteConversationsRequest request =
BulkDeleteConversationsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.setMaxDeleteCount(1611707510)
.setForce(true)
.build();
OperationFuture<BulkDeleteConversationsResponse, BulkDeleteConversationsMetadata> future =
contactCenterInsightsClient
.bulkDeleteConversationsOperationCallable()
.futureCall(request);
// Do something.
BulkDeleteConversationsResponse response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
OperationCallable<BulkDeleteConversationsRequest,BulkDeleteConversationsResponse,BulkDeleteConversationsMetadata> |
|
bulkDownloadFeedbackLabelsAsync(@Nullable LocationName parent)
public final OperationFuture<BulkDownloadFeedbackLabelsResponse,BulkDownloadFeedbackLabelsMetadata> bulkDownloadFeedbackLabelsAsync(@Nullable LocationName parent)Download feedback labels in bulk.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
LocationName parent = LocationName.of("[PROJECT]", "[LOCATION]");
BulkDownloadFeedbackLabelsResponse response =
contactCenterInsightsClient.bulkDownloadFeedbackLabelsAsync(parent).get();
}
| Parameter | |
|---|---|
| Name | Description |
parent |
@org.jspecify.annotations.Nullable com.google.cloud.contactcenterinsights.v1.LocationNameRequired. The parent resource for new feedback labels. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkDownloadFeedbackLabelsResponse,BulkDownloadFeedbackLabelsMetadata> |
|
bulkDownloadFeedbackLabelsAsync(BulkDownloadFeedbackLabelsRequest request)
public final OperationFuture<BulkDownloadFeedbackLabelsResponse,BulkDownloadFeedbackLabelsMetadata> bulkDownloadFeedbackLabelsAsync(BulkDownloadFeedbackLabelsRequest request)Download feedback labels in bulk.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkDownloadFeedbackLabelsRequest request =
BulkDownloadFeedbackLabelsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.setMaxDownloadCount(-1858155821)
.setConversationFilter("conversationFilter1283909083")
.addAllTemplateQaScorecardId(new ArrayList<String>())
.build();
BulkDownloadFeedbackLabelsResponse response =
contactCenterInsightsClient.bulkDownloadFeedbackLabelsAsync(request).get();
}
| Parameter | |
|---|---|
| Name | Description |
request |
BulkDownloadFeedbackLabelsRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkDownloadFeedbackLabelsResponse,BulkDownloadFeedbackLabelsMetadata> |
|
bulkDownloadFeedbackLabelsAsync(String parent)
public final OperationFuture<BulkDownloadFeedbackLabelsResponse,BulkDownloadFeedbackLabelsMetadata> bulkDownloadFeedbackLabelsAsync(String parent)Download feedback labels in bulk.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
String parent = LocationName.of("[PROJECT]", "[LOCATION]").toString();
BulkDownloadFeedbackLabelsResponse response =
contactCenterInsightsClient.bulkDownloadFeedbackLabelsAsync(parent).get();
}
| Parameter | |
|---|---|
| Name | Description |
parent |
StringRequired. The parent resource for new feedback labels. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkDownloadFeedbackLabelsResponse,BulkDownloadFeedbackLabelsMetadata> |
|
bulkDownloadFeedbackLabelsCallable()
public final UnaryCallable<BulkDownloadFeedbackLabelsRequest,Operation> bulkDownloadFeedbackLabelsCallable()Download feedback labels in bulk.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkDownloadFeedbackLabelsRequest request =
BulkDownloadFeedbackLabelsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.setMaxDownloadCount(-1858155821)
.setConversationFilter("conversationFilter1283909083")
.addAllTemplateQaScorecardId(new ArrayList<String>())
.build();
ApiFuture<Operation> future =
contactCenterInsightsClient.bulkDownloadFeedbackLabelsCallable().futureCall(request);
// Do something.
Operation response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<BulkDownloadFeedbackLabelsRequest,Operation> |
|
bulkDownloadFeedbackLabelsOperationCallable()
public final OperationCallable<BulkDownloadFeedbackLabelsRequest,BulkDownloadFeedbackLabelsResponse,BulkDownloadFeedbackLabelsMetadata> bulkDownloadFeedbackLabelsOperationCallable()Download feedback labels in bulk.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkDownloadFeedbackLabelsRequest request =
BulkDownloadFeedbackLabelsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.setMaxDownloadCount(-1858155821)
.setConversationFilter("conversationFilter1283909083")
.addAllTemplateQaScorecardId(new ArrayList<String>())
.build();
OperationFuture<BulkDownloadFeedbackLabelsResponse, BulkDownloadFeedbackLabelsMetadata>
future =
contactCenterInsightsClient
.bulkDownloadFeedbackLabelsOperationCallable()
.futureCall(request);
// Do something.
BulkDownloadFeedbackLabelsResponse response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
OperationCallable<BulkDownloadFeedbackLabelsRequest,BulkDownloadFeedbackLabelsResponse,BulkDownloadFeedbackLabelsMetadata> |
|
bulkUploadFeedbackLabelsAsync(@Nullable LocationName parent)
public final OperationFuture<BulkUploadFeedbackLabelsResponse,BulkUploadFeedbackLabelsMetadata> bulkUploadFeedbackLabelsAsync(@Nullable LocationName parent)Upload feedback labels in bulk.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
LocationName parent = LocationName.of("[PROJECT]", "[LOCATION]");
BulkUploadFeedbackLabelsResponse response =
contactCenterInsightsClient.bulkUploadFeedbackLabelsAsync(parent).get();
}
| Parameter | |
|---|---|
| Name | Description |
parent |
@org.jspecify.annotations.Nullable com.google.cloud.contactcenterinsights.v1.LocationNameRequired. The parent resource for new feedback labels. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkUploadFeedbackLabelsResponse,BulkUploadFeedbackLabelsMetadata> |
|
bulkUploadFeedbackLabelsAsync(BulkUploadFeedbackLabelsRequest request)
public final OperationFuture<BulkUploadFeedbackLabelsResponse,BulkUploadFeedbackLabelsMetadata> bulkUploadFeedbackLabelsAsync(BulkUploadFeedbackLabelsRequest request)Upload feedback labels in bulk.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkUploadFeedbackLabelsRequest request =
BulkUploadFeedbackLabelsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setValidateOnly(true)
.build();
BulkUploadFeedbackLabelsResponse response =
contactCenterInsightsClient.bulkUploadFeedbackLabelsAsync(request).get();
}
| Parameter | |
|---|---|
| Name | Description |
request |
BulkUploadFeedbackLabelsRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkUploadFeedbackLabelsResponse,BulkUploadFeedbackLabelsMetadata> |
|
bulkUploadFeedbackLabelsAsync(String parent)
public final OperationFuture<BulkUploadFeedbackLabelsResponse,BulkUploadFeedbackLabelsMetadata> bulkUploadFeedbackLabelsAsync(String parent)Upload feedback labels in bulk.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
String parent = LocationName.of("[PROJECT]", "[LOCATION]").toString();
BulkUploadFeedbackLabelsResponse response =
contactCenterInsightsClient.bulkUploadFeedbackLabelsAsync(parent).get();
}
| Parameter | |
|---|---|
| Name | Description |
parent |
StringRequired. The parent resource for new feedback labels. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<BulkUploadFeedbackLabelsResponse,BulkUploadFeedbackLabelsMetadata> |
|
bulkUploadFeedbackLabelsCallable()
public final UnaryCallable<BulkUploadFeedbackLabelsRequest,Operation> bulkUploadFeedbackLabelsCallable()Upload feedback labels in bulk.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkUploadFeedbackLabelsRequest request =
BulkUploadFeedbackLabelsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setValidateOnly(true)
.build();
ApiFuture<Operation> future =
contactCenterInsightsClient.bulkUploadFeedbackLabelsCallable().futureCall(request);
// Do something.
Operation response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<BulkUploadFeedbackLabelsRequest,Operation> |
|
bulkUploadFeedbackLabelsOperationCallable()
public final OperationCallable<BulkUploadFeedbackLabelsRequest,BulkUploadFeedbackLabelsResponse,BulkUploadFeedbackLabelsMetadata> bulkUploadFeedbackLabelsOperationCallable()Upload feedback labels in bulk.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
BulkUploadFeedbackLabelsRequest request =
BulkUploadFeedbackLabelsRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setValidateOnly(true)
.build();
OperationFuture<BulkUploadFeedbackLabelsResponse, BulkUploadFeedbackLabelsMetadata> future =
contactCenterInsightsClient
.bulkUploadFeedbackLabelsOperationCallable()
.futureCall(request);
// Do something.
BulkUploadFeedbackLabelsResponse response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
OperationCallable<BulkUploadFeedbackLabelsRequest,BulkUploadFeedbackLabelsResponse,BulkUploadFeedbackLabelsMetadata> |
|
calculateIssueModelStats(@Nullable IssueModelName issueModel)
public final CalculateIssueModelStatsResponse calculateIssueModelStats(@Nullable IssueModelName issueModel)Gets an issue model's statistics.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
IssueModelName issueModel = IssueModelName.of("[PROJECT]", "[LOCATION]", "[ISSUE_MODEL]");
CalculateIssueModelStatsResponse response =
contactCenterInsightsClient.calculateIssueModelStats(issueModel);
}
| Parameter | |
|---|---|
| Name | Description |
issueModel |
@org.jspecify.annotations.Nullable com.google.cloud.contactcenterinsights.v1.IssueModelNameRequired. The resource name of the issue model to query against. |
| Returns | |
|---|---|
| Type | Description |
CalculateIssueModelStatsResponse |
|
calculateIssueModelStats(CalculateIssueModelStatsRequest request)
public final CalculateIssueModelStatsResponse calculateIssueModelStats(CalculateIssueModelStatsRequest request)Gets an issue model's statistics.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CalculateIssueModelStatsRequest request =
CalculateIssueModelStatsRequest.newBuilder()
.setIssueModel(
IssueModelName.of("[PROJECT]", "[LOCATION]", "[ISSUE_MODEL]").toString())
.build();
CalculateIssueModelStatsResponse response =
contactCenterInsightsClient.calculateIssueModelStats(request);
}
| Parameter | |
|---|---|
| Name | Description |
request |
CalculateIssueModelStatsRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
CalculateIssueModelStatsResponse |
|
calculateIssueModelStats(String issueModel)
public final CalculateIssueModelStatsResponse calculateIssueModelStats(String issueModel)Gets an issue model's statistics.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
String issueModel = IssueModelName.of("[PROJECT]", "[LOCATION]", "[ISSUE_MODEL]").toString();
CalculateIssueModelStatsResponse response =
contactCenterInsightsClient.calculateIssueModelStats(issueModel);
}
| Parameter | |
|---|---|
| Name | Description |
issueModel |
StringRequired. The resource name of the issue model to query against. |
| Returns | |
|---|---|
| Type | Description |
CalculateIssueModelStatsResponse |
|
calculateIssueModelStatsCallable()
public final UnaryCallable<CalculateIssueModelStatsRequest,CalculateIssueModelStatsResponse> calculateIssueModelStatsCallable()Gets an issue model's statistics.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CalculateIssueModelStatsRequest request =
CalculateIssueModelStatsRequest.newBuilder()
.setIssueModel(
IssueModelName.of("[PROJECT]", "[LOCATION]", "[ISSUE_MODEL]").toString())
.build();
ApiFuture<CalculateIssueModelStatsResponse> future =
contactCenterInsightsClient.calculateIssueModelStatsCallable().futureCall(request);
// Do something.
CalculateIssueModelStatsResponse response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<CalculateIssueModelStatsRequest,CalculateIssueModelStatsResponse> |
|
calculateStats(@Nullable LocationName location)
public final CalculateStatsResponse calculateStats(@Nullable LocationName location)Gets conversation statistics.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
LocationName location = LocationName.of("[PROJECT]", "[LOCATION]");
CalculateStatsResponse response = contactCenterInsightsClient.calculateStats(location);
}
| Parameter | |
|---|---|
| Name | Description |
location |
@org.jspecify.annotations.Nullable com.google.cloud.contactcenterinsights.v1.LocationNameRequired. The location of the conversations. |
| Returns | |
|---|---|
| Type | Description |
CalculateStatsResponse |
|
calculateStats(CalculateStatsRequest request)
public final CalculateStatsResponse calculateStats(CalculateStatsRequest request)Gets conversation statistics.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CalculateStatsRequest request =
CalculateStatsRequest.newBuilder()
.setLocation(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.build();
CalculateStatsResponse response = contactCenterInsightsClient.calculateStats(request);
}
| Parameter | |
|---|---|
| Name | Description |
request |
CalculateStatsRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
CalculateStatsResponse |
|
calculateStats(String location)
public final CalculateStatsResponse calculateStats(String location)Gets conversation statistics.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
String location = LocationName.of("[PROJECT]", "[LOCATION]").toString();
CalculateStatsResponse response = contactCenterInsightsClient.calculateStats(location);
}
| Parameter | |
|---|---|
| Name | Description |
location |
StringRequired. The location of the conversations. |
| Returns | |
|---|---|
| Type | Description |
CalculateStatsResponse |
|
calculateStatsCallable()
public final UnaryCallable<CalculateStatsRequest,CalculateStatsResponse> calculateStatsCallable()Gets conversation statistics.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CalculateStatsRequest request =
CalculateStatsRequest.newBuilder()
.setLocation(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setFilter("filter-1274492040")
.build();
ApiFuture<CalculateStatsResponse> future =
contactCenterInsightsClient.calculateStatsCallable().futureCall(request);
// Do something.
CalculateStatsResponse response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<CalculateStatsRequest,CalculateStatsResponse> |
|
close()
public final void close()createAnalysisAsync(@Nullable ConversationName parent, Analysis analysis)
public final OperationFuture<Analysis,CreateAnalysisOperationMetadata> createAnalysisAsync(@Nullable ConversationName parent, Analysis analysis)Creates an analysis. The long running operation is done when the analysis has completed.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
ConversationName parent =
ConversationName.ofProjectLocationConversationName(
"[PROJECT]", "[LOCATION]", "[CONVERSATION]");
Analysis analysis = Analysis.newBuilder().build();
Analysis response = contactCenterInsightsClient.createAnalysisAsync(parent, analysis).get();
}
| Parameters | |
|---|---|
| Name | Description |
parent |
@org.jspecify.annotations.Nullable com.google.cloud.contactcenterinsights.v1.ConversationNameRequired. The parent resource of the analysis. |
analysis |
AnalysisRequired. The analysis to create. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<Analysis,CreateAnalysisOperationMetadata> |
|
createAnalysisAsync(CreateAnalysisRequest request)
public final OperationFuture<Analysis,CreateAnalysisOperationMetadata> createAnalysisAsync(CreateAnalysisRequest request)Creates an analysis. The long running operation is done when the analysis has completed.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CreateAnalysisRequest request =
CreateAnalysisRequest.newBuilder()
.setParent(
ConversationName.ofProjectLocationConversationName(
"[PROJECT]", "[LOCATION]", "[CONVERSATION]")
.toString())
.setAnalysis(Analysis.newBuilder().build())
.build();
Analysis response = contactCenterInsightsClient.createAnalysisAsync(request).get();
}
| Parameter | |
|---|---|
| Name | Description |
request |
CreateAnalysisRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<Analysis,CreateAnalysisOperationMetadata> |
|
createAnalysisAsync(String parent, Analysis analysis)
public final OperationFuture<Analysis,CreateAnalysisOperationMetadata> createAnalysisAsync(String parent, Analysis analysis)Creates an analysis. The long running operation is done when the analysis has completed.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
String parent =
ConversationName.ofProjectLocationConversationName(
"[PROJECT]", "[LOCATION]", "[CONVERSATION]")
.toString();
Analysis analysis = Analysis.newBuilder().build();
Analysis response = contactCenterInsightsClient.createAnalysisAsync(parent, analysis).get();
}
| Parameters | |
|---|---|
| Name | Description |
parent |
StringRequired. The parent resource of the analysis. |
analysis |
AnalysisRequired. The analysis to create. |
| Returns | |
|---|---|
| Type | Description |
OperationFuture<Analysis,CreateAnalysisOperationMetadata> |
|
createAnalysisCallable()
public final UnaryCallable<CreateAnalysisRequest,Operation> createAnalysisCallable()Creates an analysis. The long running operation is done when the analysis has completed.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CreateAnalysisRequest request =
CreateAnalysisRequest.newBuilder()
.setParent(
ConversationName.ofProjectLocationConversationName(
"[PROJECT]", "[LOCATION]", "[CONVERSATION]")
.toString())
.setAnalysis(Analysis.newBuilder().build())
.build();
ApiFuture<Operation> future =
contactCenterInsightsClient.createAnalysisCallable().futureCall(request);
// Do something.
Operation response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<CreateAnalysisRequest,Operation> |
|
createAnalysisOperationCallable()
public final OperationCallable<CreateAnalysisRequest,Analysis,CreateAnalysisOperationMetadata> createAnalysisOperationCallable()Creates an analysis. The long running operation is done when the analysis has completed.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CreateAnalysisRequest request =
CreateAnalysisRequest.newBuilder()
.setParent(
ConversationName.ofProjectLocationConversationName(
"[PROJECT]", "[LOCATION]", "[CONVERSATION]")
.toString())
.setAnalysis(Analysis.newBuilder().build())
.build();
OperationFuture<Analysis, CreateAnalysisOperationMetadata> future =
contactCenterInsightsClient.createAnalysisOperationCallable().futureCall(request);
// Do something.
Analysis response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
OperationCallable<CreateAnalysisRequest,Analysis,CreateAnalysisOperationMetadata> |
|
createAnalysisRule(@Nullable LocationName parent, AnalysisRule analysisRule)
public final AnalysisRule createAnalysisRule(@Nullable LocationName parent, AnalysisRule analysisRule)Creates a analysis rule.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
LocationName parent = LocationName.of("[PROJECT]", "[LOCATION]");
AnalysisRule analysisRule = AnalysisRule.newBuilder().build();
AnalysisRule response = contactCenterInsightsClient.createAnalysisRule(parent, analysisRule);
}
| Parameters | |
|---|---|
| Name | Description |
parent |
@org.jspecify.annotations.Nullable com.google.cloud.contactcenterinsights.v1.LocationNameRequired. The parent resource of the analysis rule. Required. The location to
create a analysis rule for. Format: |
analysisRule |
AnalysisRuleRequired. The analysis rule resource to create. |
| Returns | |
|---|---|
| Type | Description |
AnalysisRule |
|
createAnalysisRule(CreateAnalysisRuleRequest request)
public final AnalysisRule createAnalysisRule(CreateAnalysisRuleRequest request)Creates a analysis rule.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CreateAnalysisRuleRequest request =
CreateAnalysisRuleRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setAnalysisRule(AnalysisRule.newBuilder().build())
.build();
AnalysisRule response = contactCenterInsightsClient.createAnalysisRule(request);
}
| Parameter | |
|---|---|
| Name | Description |
request |
CreateAnalysisRuleRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
AnalysisRule |
|
createAnalysisRule(String parent, AnalysisRule analysisRule)
public final AnalysisRule createAnalysisRule(String parent, AnalysisRule analysisRule)Creates a analysis rule.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
String parent = LocationName.of("[PROJECT]", "[LOCATION]").toString();
AnalysisRule analysisRule = AnalysisRule.newBuilder().build();
AnalysisRule response = contactCenterInsightsClient.createAnalysisRule(parent, analysisRule);
}
| Parameters | |
|---|---|
| Name | Description |
parent |
StringRequired. The parent resource of the analysis rule. Required. The location to
create a analysis rule for. Format: |
analysisRule |
AnalysisRuleRequired. The analysis rule resource to create. |
| Returns | |
|---|---|
| Type | Description |
AnalysisRule |
|
createAnalysisRuleCallable()
public final UnaryCallable<CreateAnalysisRuleRequest,AnalysisRule> createAnalysisRuleCallable()Creates a analysis rule.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CreateAnalysisRuleRequest request =
CreateAnalysisRuleRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setAnalysisRule(AnalysisRule.newBuilder().build())
.build();
ApiFuture<AnalysisRule> future =
contactCenterInsightsClient.createAnalysisRuleCallable().futureCall(request);
// Do something.
AnalysisRule response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<CreateAnalysisRuleRequest,AnalysisRule> |
|
createConversation(@Nullable LocationName parent, Conversation conversation, String conversationId)
public final Conversation createConversation(@Nullable LocationName parent, Conversation conversation, String conversationId)Creates a conversation. Note that this method does not support audio transcription or
redaction. Use conversations.upload instead.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
LocationName parent = LocationName.of("[PROJECT]", "[LOCATION]");
Conversation conversation = Conversation.newBuilder().build();
String conversationId = "conversationId-1676095234";
Conversation response =
contactCenterInsightsClient.createConversation(parent, conversation, conversationId);
}
| Parameters | |
|---|---|
| Name | Description |
parent |
@org.jspecify.annotations.Nullable com.google.cloud.contactcenterinsights.v1.LocationNameRequired. The parent resource of the conversation. |
conversation |
ConversationRequired. The conversation resource to create. |
conversationId |
StringA unique ID for the new conversation. This ID will become the final component of the conversation's resource name. If no ID is specified, a server-generated ID will be used. This value should be 4-64 characters and must match the regular expression
|
| Returns | |
|---|---|
| Type | Description |
Conversation |
|
createConversation(CreateConversationRequest request)
public final Conversation createConversation(CreateConversationRequest request)Creates a conversation. Note that this method does not support audio transcription or
redaction. Use conversations.upload instead.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CreateConversationRequest request =
CreateConversationRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setConversation(Conversation.newBuilder().build())
.setConversationId("conversationId-1676095234")
.build();
Conversation response = contactCenterInsightsClient.createConversation(request);
}
| Parameter | |
|---|---|
| Name | Description |
request |
CreateConversationRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
Conversation |
|
createConversation(String parent, Conversation conversation, String conversationId)
public final Conversation createConversation(String parent, Conversation conversation, String conversationId)Creates a conversation. Note that this method does not support audio transcription or
redaction. Use conversations.upload instead.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
String parent = LocationName.of("[PROJECT]", "[LOCATION]").toString();
Conversation conversation = Conversation.newBuilder().build();
String conversationId = "conversationId-1676095234";
Conversation response =
contactCenterInsightsClient.createConversation(parent, conversation, conversationId);
}
| Parameters | |
|---|---|
| Name | Description |
parent |
StringRequired. The parent resource of the conversation. |
conversation |
ConversationRequired. The conversation resource to create. |
conversationId |
StringA unique ID for the new conversation. This ID will become the final component of the conversation's resource name. If no ID is specified, a server-generated ID will be used. This value should be 4-64 characters and must match the regular expression
|
| Returns | |
|---|---|
| Type | Description |
Conversation |
|
createConversationCallable()
public final UnaryCallable<CreateConversationRequest,Conversation> createConversationCallable()Creates a conversation. Note that this method does not support audio transcription or
redaction. Use conversations.upload instead.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CreateConversationRequest request =
CreateConversationRequest.newBuilder()
.setParent(LocationName.of("[PROJECT]", "[LOCATION]").toString())
.setConversation(Conversation.newBuilder().build())
.setConversationId("conversationId-1676095234")
.build();
ApiFuture<Conversation> future =
contactCenterInsightsClient.createConversationCallable().futureCall(request);
// Do something.
Conversation response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<CreateConversationRequest,Conversation> |
|
createFeedbackLabel(@Nullable ConversationName parent, FeedbackLabel feedbackLabel, String feedbackLabelId)
public final FeedbackLabel createFeedbackLabel(@Nullable ConversationName parent, FeedbackLabel feedbackLabel, String feedbackLabelId)Create feedback label.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
ConversationName parent =
ConversationName.ofProjectLocationConversationName(
"[PROJECT]", "[LOCATION]", "[CONVERSATION]");
FeedbackLabel feedbackLabel = FeedbackLabel.newBuilder().build();
String feedbackLabelId = "feedbackLabelId-1251198998";
FeedbackLabel response =
contactCenterInsightsClient.createFeedbackLabel(parent, feedbackLabel, feedbackLabelId);
}
| Parameters | |
|---|---|
| Name | Description |
parent |
@org.jspecify.annotations.Nullable com.google.cloud.contactcenterinsights.v1.ConversationNameRequired. The parent resource of the feedback label. |
feedbackLabel |
FeedbackLabelRequired. The feedback label to create. |
feedbackLabelId |
StringOptional. The ID of the feedback label to create. If one is not specified it will be generated by the server. |
| Returns | |
|---|---|
| Type | Description |
FeedbackLabel |
|
createFeedbackLabel(CreateFeedbackLabelRequest request)
public final FeedbackLabel createFeedbackLabel(CreateFeedbackLabelRequest request)Create feedback label.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CreateFeedbackLabelRequest request =
CreateFeedbackLabelRequest.newBuilder()
.setParent(
ConversationName.ofProjectLocationConversationName(
"[PROJECT]", "[LOCATION]", "[CONVERSATION]")
.toString())
.setFeedbackLabelId("feedbackLabelId-1251198998")
.setFeedbackLabel(FeedbackLabel.newBuilder().build())
.build();
FeedbackLabel response = contactCenterInsightsClient.createFeedbackLabel(request);
}
| Parameter | |
|---|---|
| Name | Description |
request |
CreateFeedbackLabelRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
FeedbackLabel |
|
createFeedbackLabel(String parent, FeedbackLabel feedbackLabel, String feedbackLabelId)
public final FeedbackLabel createFeedbackLabel(String parent, FeedbackLabel feedbackLabel, String feedbackLabelId)Create feedback label.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
String parent =
ConversationName.ofProjectLocationConversationName(
"[PROJECT]", "[LOCATION]", "[CONVERSATION]")
.toString();
FeedbackLabel feedbackLabel = FeedbackLabel.newBuilder().build();
String feedbackLabelId = "feedbackLabelId-1251198998";
FeedbackLabel response =
contactCenterInsightsClient.createFeedbackLabel(parent, feedbackLabel, feedbackLabelId);
}
| Parameters | |
|---|---|
| Name | Description |
parent |
StringRequired. The parent resource of the feedback label. |
feedbackLabel |
FeedbackLabelRequired. The feedback label to create. |
feedbackLabelId |
StringOptional. The ID of the feedback label to create. If one is not specified it will be generated by the server. |
| Returns | |
|---|---|
| Type | Description |
FeedbackLabel |
|
createFeedbackLabelCallable()
public final UnaryCallable<CreateFeedbackLabelRequest,FeedbackLabel> createFeedbackLabelCallable()Create feedback label.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ContactCenterInsightsClient contactCenterInsightsClient =
ContactCenterInsightsClient.create()) {
CreateFeedbackLabelRequest request =
CreateFeedbackLabelRequest.newBuilder()
.setParent(
ConversationName.ofProjectLocationConversationName(
"[PROJECT]", "[LOCATION]", "[CONVERSATION]")
.toString())
.setFeedbackLabelId("feedbackLabelId-1251198998")
.setFeedbackLabel(FeedbackLabel.newBuilder().build())
.build();
ApiFuture<FeedbackLabel> future =
contactCenterInsightsClient.createFeedbackLabelCallable().futureCall(request);
// Do something.
FeedbackLabel response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<CreateFeedbackLabelRequest,FeedbackLabel> |
|
createIssueModelAsync(@Nullable LocationName parent, IssueModel issueModel)
public final OperationFuture<IssueModel,CreateIssueModelMetadata> createIssueModelAsync(@Nullable LocationName parent, IssueModel issueModel)Creates an issue model.
Sample code:
[...]
